--- title: "Delete the Diagnostic Trace File Captured" slug: "delete-the-diagnostic-trace-file-captured-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/delete-the-diagnostic-trace-file-captured-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete the Diagnostic Trace File Captured This URL deletes the diagnostic trace file. ### Resource URL DELETE /sensor//diagnosticstrace ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor id` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileName` | Diagnostic trace file name | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `Status` | Status of request,1 if successful. | Number | ### Example **Request** DELETE [https:///sdkapi/sensor/1001/diagnosticstrace](https://<NSM_IP>/sdkapi/domain/0/remoteaccess/radius) **Payload** ``` { "fileName": "trace_API_2950_2_Thu_Mar_03_13_58_39_IST_2016.enc" } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is Inactive | | 3 | 400 | 1001 | Internal error message: Trace file given is invalid. Could not be deleted |